uuid: 01bfec77-49e8-4845-bcc4-b4f2743ddcb8
langcode: en
status: true
dependencies:
  config:
    - field.storage.commerce_product_variation.field_huprod_abstract
    - search_api.index.db_search_products
    - taxonomy.vocabulary.hufriedy_product_categories
    - taxonomy.vocabulary.hufriedy_product_related
  module:
    - better_exposed_filters
    - search_api
    - text
id: hufriedy_products_catalog
label: 'Hufriedy products catalog'
module: views
description: ''
tag: ''
base_table: search_api_index_db_search_products
base_field: search_api_id
core: 8.x
display:
  default:
    display_plugin: default
    id: default
    display_title: Master
    position: 0
    display_options:
      access:
        type: none
        options: {  }
      cache:
        type: tag
        options: {  }
      query:
        type: views_query
        options:
          bypass_access: false
          skip_access: false
      exposed_form:
        type: bef
        options:
          submit_button: Apply
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
          input_required: false
          text_input_required: 'Select any filter and click on Apply to see results'
          bef:
            general:
              allow_secondary: false
              secondary_label: 'Advanced options'
              autosubmit: false
              autosubmit_exclude_textfield: false
              autosubmit_hide: false
            sort:
              bef_format: default
              advanced:
                collapsible: false
                collapsible_label: 'Sort options'
                combine: false
                combine_rewrite: ''
                reset: false
                reset_label: ''
                is_secondary: false
          text_input_required_format: basic_html
      pager:
        type: full
        options:
          items_per_page: 12
          offset: 0
          id: 0
          total_pages: null
          tags:
            previous: '‹ Previous'
            next: 'Next ›'
            first: '« First'
            last: 'Last »'
          expose:
            items_per_page: false
            items_per_page_label: 'Items per page'
            items_per_page_options: '5, 10, 25, 50'
            items_per_page_options_all: false
            items_per_page_options_all_label: '- All -'
            offset: false
            offset_label: Offset
          quantity: 4
      style:
        type: default
      row:
        type: search_api
        options:
          view_modes:
            'entity:commerce_product':
              hufriedy_product: product_list_display
      fields:
        sku:
          id: sku
          table: search_api_index_db_search_products
          field: sku
          relationship: none
          group_type: group
          admin_label: ''
          label: ''
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: false
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: value
          type: string
          settings:
            link_to_entity: false
          group_column: value
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
          field_rendering: true
          fallback_handler: search_api
          fallback_options:
            link_to_item: false
            use_highlighting: false
            multi_type: separator
            multi_separator: ', '
          plugin_id: search_api_field
        title:
          id: title
          table: search_api_index_db_search_products
          field: title
          relationship: none
          group_type: group
          admin_label: ''
          label: ''
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: false
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: value
          type: string
          settings:
            link_to_entity: false
          group_column: value
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
          field_rendering: true
          fallback_handler: search_api
          fallback_options:
            link_to_item: false
            use_highlighting: false
            multi_type: separator
            multi_separator: ', '
          plugin_id: search_api_field
        field_huprod_abstract:
          id: field_huprod_abstract
          table: search_api_index_db_search_products
          field: field_huprod_abstract
          relationship: none
          group_type: group
          admin_label: ''
          label: ''
          exclude: false
          alter:
            alter_text: false
            text: ''
            make_link: false
            path: ''
            absolute: false
            external: false
            replace_spaces: false
            path_case: none
            trim_whitespace: false
            alt: ''
            rel: ''
            link_class: ''
            prefix: ''
            suffix: ''
            target: ''
            nl2br: false
            max_length: 0
            word_boundary: true
            ellipsis: true
            more_link: false
            more_link_text: ''
            more_link_path: ''
            strip_tags: false
            trim: false
            preserve_tags: ''
            html: false
          element_type: ''
          element_class: ''
          element_label_type: ''
          element_label_class: ''
          element_label_colon: false
          element_wrapper_type: ''
          element_wrapper_class: ''
          element_default_classes: true
          empty: ''
          hide_empty: false
          empty_zero: false
          hide_alter_empty: true
          click_sort_column: value
          type: text_default
          settings: {  }
          group_column: value
          group_columns: {  }
          group_rows: true
          delta_limit: 0
          delta_offset: 0
          delta_reversed: false
          delta_first_last: false
          multi_type: separator
          separator: ', '
          field_api_classes: false
          field_rendering: true
          fallback_handler: search_api
          fallback_options:
            link_to_item: false
            use_highlighting: false
            multi_type: separator
            multi_separator: ', '
          plugin_id: search_api_field
      filters:
        search_api_language:
          id: search_api_language
          table: search_api_index_db_search_products
          field: search_api_language
          relationship: none
          group_type: group
          admin_label: ''
          operator: in
          value:
            '***LANGUAGE_language_interface***': '***LANGUAGE_language_interface***'
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            reduce: false
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          plugin_id: search_api_language
      sorts:
        number:
          id: number
          table: search_api_index_db_search_products
          field: number
          relationship: none
          group_type: group
          admin_label: ''
          order: ASC
          exposed: true
          expose:
            label: Price
          plugin_id: search_api
        field_huprod_promotion:
          id: field_huprod_promotion
          table: search_api_index_db_search_products
          field: field_huprod_promotion
          relationship: none
          group_type: group
          admin_label: ''
          order: ASC
          exposed: true
          expose:
            label: 'In promotion'
          plugin_id: search_api
      title: 'Hufriedy products catalog'
      header: {  }
      footer: {  }
      empty: {  }
      relationships: {  }
      arguments:
        field_huprod_tax_category:
          id: field_huprod_tax_category
          table: search_api_index_db_search_products
          field: field_huprod_tax_category
          relationship: none
          group_type: group
          admin_label: ''
          default_action: default
          exception:
            value: all
            title_enable: false
            title: All
          title_enable: false
          title: ''
          default_argument_type: taxonomy_tid
          default_argument_options:
            term_page: '1'
            node: true
            limit: true
            vids:
              hufriedy_product_categories: hufriedy_product_categories
            anyall: ','
          default_argument_skip_url: false
          summary_options: {  }
          summary:
            sort_order: asc
            number_of_records: 0
            format: default_summary
          specify_validation: false
          validate:
            type: none
            fail: 'not found'
          validate_options: {  }
          break_phrase: false
          not: false
          plugin_id: search_api_term
      display_extenders: {  }
      css_class: 'store-catalog products-list'
      filter_groups:
        operator: AND
        groups: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - url.query_args
        - 'url.query_args:sort_by'
        - 'url.query_args:sort_order'
      tags:
        - 'config:field.storage.commerce_product_variation.field_huprod_abstract'
  bestselling:
    display_plugin: block
    id: bestselling
    display_title: 'Best selling'
    position: 1
    display_options:
      display_extenders: {  }
      display_description: ''
      title: 'Best selling'
      defaults:
        title: false
        sorts: false
        pager: false
        exposed_form: false
        arguments: false
        css_class: false
        filters: false
        filter_groups: false
      sorts:
        title:
          id: title
          table: search_api_index_db_search_products
          field: title
          relationship: none
          group_type: group
          admin_label: ''
          order: ASC
          exposed: false
          expose:
            label: ''
          plugin_id: search_api
      pager:
        type: some
        options:
          items_per_page: 12
          offset: 0
      exposed_form:
        type: basic
        options:
          submit_button: Apply
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
      arguments: {  }
      css_class: 'store-catalog bestselling-list'
      filters:
        field_huprod_bestselling:
          id: field_huprod_bestselling
          table: search_api_index_db_search_products
          field: field_huprod_bestselling
          relationship: none
          group_type: group
          admin_label: ''
          operator: '='
          value: '1'
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          plugin_id: search_api_boolean
        search_api_language:
          id: search_api_language
          table: search_api_index_db_search_products
          field: search_api_language
          relationship: none
          group_type: group
          admin_label: ''
          operator: in
          value:
            '***LANGUAGE_language_interface***': '***LANGUAGE_language_interface***'
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            reduce: false
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          plugin_id: search_api_language
      filter_groups:
        operator: AND
        groups: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
      tags:
        - 'config:field.storage.commerce_product_variation.field_huprod_abstract'
  catalog:
    display_plugin: block
    id: catalog
    display_title: Catalog
    position: 1
    display_options:
      display_extenders: {  }
      display_description: ''
      use_ajax: true
      defaults:
        use_ajax: false
        sorts: false
        filters: false
        filter_groups: false
      sorts: {  }
      filters:
        search_api_language:
          id: search_api_language
          table: search_api_index_db_search_products
          field: search_api_language
          relationship: none
          group_type: group
          admin_label: ''
          operator: in
          value:
            '***LANGUAGE_language_interface***': '***LANGUAGE_language_interface***'
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            reduce: false
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          plugin_id: search_api_language
      filter_groups:
        operator: AND
        groups:
          1: AND
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
        - url.query_args
      tags:
        - 'config:field.storage.commerce_product_variation.field_huprod_abstract'
  inpromotion:
    display_plugin: block
    id: inpromotion
    display_title: 'New products'
    position: 1
    display_options:
      display_extenders: {  }
      display_description: ''
      title: 'New products'
      defaults:
        title: false
        sorts: false
        pager: false
        exposed_form: false
        arguments: false
        css_class: false
        filters: false
        filter_groups: false
      sorts:
        title:
          id: title
          table: search_api_index_db_search_products
          field: title
          relationship: none
          group_type: group
          admin_label: ''
          order: ASC
          exposed: false
          expose:
            label: ''
          plugin_id: search_api
      pager:
        type: some
        options:
          items_per_page: 12
          offset: 0
      exposed_form:
        type: basic
        options:
          submit_button: Apply
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
      arguments: {  }
      css_class: 'store-catalog promotion-list'
      filters:
        field_huprod_promotion:
          id: field_huprod_promotion
          table: search_api_index_db_search_products
          field: field_huprod_promotion
          relationship: none
          group_type: group
          admin_label: ''
          operator: '='
          value: '1'
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          plugin_id: search_api_boolean
        search_api_language:
          id: search_api_language
          table: search_api_index_db_search_products
          field: search_api_language
          relationship: none
          group_type: group
          admin_label: ''
          operator: in
          value:
            '***LANGUAGE_language_interface***': '***LANGUAGE_language_interface***'
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            reduce: false
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          plugin_id: search_api_language
      filter_groups:
        operator: AND
        groups:
          1: AND
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
      tags:
        - 'config:field.storage.commerce_product_variation.field_huprod_abstract'
  product_related:
    display_plugin: block
    id: product_related
    display_title: 'Product related'
    position: 1
    display_options:
      display_extenders: {  }
      display_description: ''
      title: 'Customers who bought this item also bought'
      defaults:
        title: false
        sorts: false
        pager: false
        exposed_form: false
        arguments: false
        css_class: false
        filters: false
        filter_groups: false
        relationships: false
      sorts:
        title:
          id: title
          table: search_api_index_db_search_products
          field: title
          relationship: none
          group_type: group
          admin_label: ''
          order: ASC
          exposed: false
          expose:
            label: ''
          plugin_id: search_api
      pager:
        type: some
        options:
          items_per_page: 4
          offset: 0
      exposed_form:
        type: basic
        options:
          submit_button: Apply
          reset_button: false
          reset_button_label: Reset
          exposed_sorts_label: 'Sort by'
          expose_sort_order: true
          sort_asc_label: Asc
          sort_desc_label: Desc
      arguments:
        field_huprod_tax_related:
          id: field_huprod_tax_related
          table: search_api_index_db_search_products
          field: field_huprod_tax_related
          relationship: none
          group_type: group
          admin_label: ''
          default_action: default
          exception:
            value: all
            title_enable: false
            title: All
          title_enable: false
          title: ''
          default_argument_type: taxonomy_tid
          default_argument_options:
            term_page: '1'
            node: true
            limit: true
            vids:
              hufriedy_product_related: hufriedy_product_related
            anyall: ','
          default_argument_skip_url: false
          summary_options: {  }
          summary:
            sort_order: asc
            number_of_records: 0
            format: default_summary
          specify_validation: false
          validate:
            type: none
            fail: 'not found'
          validate_options: {  }
          break_phrase: false
          not: false
          plugin_id: search_api_term
      css_class: 'store-catalog related-list'
      filters:
        search_api_language:
          id: search_api_language
          table: search_api_index_db_search_products
          field: search_api_language
          relationship: none
          group_type: group
          admin_label: ''
          operator: in
          value:
            '***LANGUAGE_language_interface***': '***LANGUAGE_language_interface***'
          group: 1
          exposed: false
          expose:
            operator_id: ''
            label: ''
            description: ''
            use_operator: false
            operator: ''
            identifier: ''
            required: false
            remember: false
            multiple: false
            remember_roles:
              authenticated: authenticated
            reduce: false
          is_grouped: false
          group_info:
            label: ''
            description: ''
            identifier: ''
            optional: true
            widget: select
            multiple: false
            remember: false
            default_group: All
            default_group_multiple: {  }
            group_items: {  }
          plugin_id: search_api_language
      filter_groups:
        operator: AND
        groups:
          1: AND
      enabled: true
      relationships: {  }
    cache_metadata:
      max-age: -1
      contexts:
        - 'languages:language_content'
        - 'languages:language_interface'
        - url
      tags:
        - 'config:field.storage.commerce_product_variation.field_huprod_abstract'
